# $Revision: 1.2 $, $Date: 2006/12/13 23:51:46 $
#
# Conditional build:
%bcond_with	encoder		# build with encoder (may require license)
#
Summary:	SZIP - Science Data Lossless Compression library
Summary(pl):	SZIP - biblioteka bezstratnej kompresji danych naukowych
Name:		szip
Version:	2.0
Release:	2
%if %{with encoder}
License:	free for non-commercial, scientific use only in HDF software
%else
License:	free for use in HDF software
%endif
Group:		Libraries
Source0:	ftp://ftp.ncsa.uiuc.edu/HDF/szip/2.0/src/%{name}-%{version}.tar
# Source0-md5:	60f5247d9948fda493042fc42c5ca655
Patch0:		%{name}-opt.patch
Patch1:		%{name}-link.patch
URL:		http://hdf.ncsa.uiuc.edu/HDF5/doc_resource/SZIP/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	libtool >= 1:1.4.2-9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SZIP is an implementation of the extended-Rice lossless compression
algorithm. The Consultative Committee on Space Data Systems (CCSDS)
has adopted the extended-Rice algorithm for international standards
for space applications. SZIP is reported to provide fast and effective
compression, specifically for the EOS data generated by the NASA Earth
Observatory System (EOS). It was originally developed at University of
New Mexico (UNM) and integrated with HDF4 by UNM researchers and
developers.

%description -l pl
SZIP to implementacja rozszerzonego algorytmu kompresji bezstratnej
Rice'a. CCSDS (Consultative Committee on Space Data Systems)
zaadoptowao rozszerzony algorytm Rice'a na potrzeby midzynarodowych
standardw aplikacji przestrzennych. SZIP daje szybk i efektywn
kompresj, szczeglnie dla danych EOS generowanych przez NASA Earth
Observatory System (EOS). Pierwotnie biblioteka zostaa stworzona w
University of New Mexico (UNM) i zintegrowana z HDF4 przez naukowcw i
programistw UNM.

%package devel
Summary:	Header files for SZIP library
Summary(pl):	Pliki nagwkowe biblioteki SZIP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SZIP library.

%description devel -l pl
Pliki nagwkowe biblioteki SZIP.

%package static
Summary:	Static SZIP library
Summary(pl):	Statyczna biblioteka SZIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SZIP library.

%description static -l pl
Statyczna biblioteka SZIP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* bin
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_encoder:--disable-encoding}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING RELEASE.txt
%attr(755,root,root) %{_libdir}/libsz.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsz.so
%{_libdir}/libsz.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsz.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: szip.spec,v $
Revision 1.2  2006/12/13 23:51:46  wrobell
- fixed linking of examples
- rel. 2

Revision 1.1  2005/02/27 21:30:14  qboosh
- new

